<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 data-namespace-typo3-fluid="true">
	<f:layout name="Default" />
	<f:section name="main">

		<f:if condition="{poll}">
			<f:then>

				<div id="poll-{poll.uid}">

					<f:if condition="{isAdmin} && {poll.withoutPollTicket} == 0">
						<div class="alert alert-info">
							<h4>Admin</h4>
							<f:if condition="{f:count(subject: pollTickets)} == 0">
								<p>Es sind aktuell keine Poll-Tickets vorhanden!</p>
							</f:if>
							<f:if condition="{f:count(subject: pollTickets)} == 1">
								<p>Es sind aktuell 1 Poll-Ticket vorhanden!</p>
							</f:if>
							<f:if condition="{f:count(subject: pollTickets)} > 1">
								<p>Es sind aktuell <f:count subject="{pollTickets}" /> Poll-Tickets vorhanden!</p>
							</f:if>
						</div>
					</f:if>

					<h2>{poll.title}</h2>
					<f:flashMessages />
					<f:if condition="{poll.image.uid}">
						<div class="poll-image">
							<f:image src="{poll.image.uid}" maxHeight="100" alt="{poll.image.description}" title="{poll.image.title}"
									 treatIdAsReference="1" />
						</div>
					</f:if>
					<div class="poll-description">
						<f:format.html>{poll.description}</f:format.html>
					</div>

					<f:if condition="{showResultOnly}">
						<f:then></f:then>
						<f:else>
							<f:form action="show" name="answers" class="poll"
									additionalParams="{tx_poll_poll: {poll: poll.uid}}" section="poll-{poll.uid}">

								<f:if condition="{poll.dividersToTabs}">
									<f:then>
										<f:render partial="Poll/DividersToTabs"
										          section="Default"
												  arguments="{_all}" />
									</f:then>
									<f:else>
										<!-- Fragen durchlaufen -->
										<f:for each="{questions}" as="question" iteration="questionIteration">
											<f:render partial="Poll/Question/{question.questionType}"
													  section="{question.questionLayout}"
													  arguments="{_all}" />
										</f:for>

										<f:render partial="Poll/Button"
												  section="Default"
												  arguments="{_all}" />

									</f:else>
								</f:if>
							</f:form>
						</f:else>
					</f:if>

					<f:if condition="{result}">
						<div class="poll-result card">

							<div class="card-header"><f:translate key="tx_poll_message.current_status" /></div>

							<div class="card-body">
								<f:for each="{result}" as="question" key="sortingQuestion" iteration="itemIterationQestion">

									<div class="poll-result-question card-block">
										<div class="poll-question">
											<f:format.html>{question.pollQuestion.question}</f:format.html>
										</div>
										<f:for each="{question.result}" as="answer" key="sortingAnswer" iteration="itemIterationAnswer">
											<div class="poll-result-row">
												<f:if condition="{answer.pollAnswerPercent} > 0">
													<f:then>
														<div class="poll-result-bar">
															<span class="poll-result-bar" style="width: {answer.pollAnswerPercent}%"></span>
														</div>
														<span class="poll-result-percent">{answer.pollAnswerPercent} %</span>
													</f:then>
													<f:else>
														<div class="poll-result-bar">
															<span class="poll-result-bar" style="width: 1px"></span>
														</div>
														<span class="poll-result-percent">0 %</span>
													</f:else>
												</f:if>

												<span class="poll-result-answer">{answer.pollAnswer.answer}</span>
												<f:if condition="{isAdmin} && {poll.withoutPollTicket}">
													<small class="text-muted poll-result-answer-count"><f:translate key="tx_poll_label.votes" arguments="{0: answer.pollAnswerCount}" /></small>
												</f:if>
											</div>
										</f:for>
										<f:if condition="{isAdmin} && {poll.withoutPollTicket}">
											<small class="text-muted poll-result-answer-count"><f:translate key="tx_poll_label.total_votes" arguments="{0: question.answerCount}" /></small>
										</f:if>
									</div>

								</f:for>
							</div>

						</div>

						<f:if condition="{settings.list.defaultPid}">
							<f:then>
								<f:link.action action="result"
											   controller="Poll"
											   arguments="{poll: poll}"
											   pageUid="{settings.list.defaultPid}"
											   class="btn btn-primary"><f:translate key="tx_poll_label.back_to_poll_listing" /></f:link.action>
							</f:then>
						</f:if>
					</f:if>

				</div>

			</f:then>
			<f:else>

				<f:flashMessages />
				<f:if condition="{frontendUserRequired}">
					<ul class="typo3-messages">
						<li class="alert alert-warning">
							<h4 class="alert-title"><f:translate key="tx_poll_message.info_poll_no_accessible" /></h4>
							<p class="alert-message">
								<f:format.raw><f:translate
									key="tx_poll_message.info_poll_no_accessible_message"
								 	arguments="{
								 		0: '{f:uri.page(pageUid: settings.loginPid, additionalParams: loginArguments)}'
									}" /></f:format.raw>
							</p>
						</li>
					</ul>
				</f:if>

			</f:else>
		</f:if>

	</f:section>
</div>
